> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proactive Email Preference

> Return the current member-level Dawn follow-up email preference.



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /user/preferences/proactive-email
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /user/preferences/proactive-email:
    get:
      tags:
        - user
      summary: Get Proactive Email Preference
      description: Return the current member-level Dawn follow-up email preference.
      operationId: get_proactive_email_preference_user_preferences_proactive_email_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProactiveEmailPreferenceResponse'
        '404':
          description: Not found
      security:
        - HTTPBearer: []
components:
  schemas:
    ProactiveEmailPreferenceResponse:
      properties:
        enabled:
          type: boolean
          title: Enabled
        allow_autonomous_delivery:
          type: boolean
          title: Allow Autonomous Delivery
      type: object
      required:
        - enabled
        - allow_autonomous_delivery
      title: ProactiveEmailPreferenceResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````